local Module = NotaBene:GetModule( "Procs" )
local _, playerClass = UnitClass( "player" )
local _, playerRace = UnitRace( "player" )

local function R( key, spellId, selfOnly, ... )
	Module:RegisterSpell( key, spellId, selfOnly, ... )
end

if playerClass == "MAGE" then
	R( "Mage_Proc_MissileBarrage", 44401, false, "SPELL_AURA_APPLIED", "SPELL_AURA_REFRESH" )
	R( "Mage_Proc_FingersOfFrost", 44544, false, "SPELL_AURA_APPLIED", "SPELL_AURA_REFRESH" )
	R( "Mage_Proc_BrainFreeze", 57761, false, "SPELL_AURA_APPLIED", "SPELL_AURA_REFRESH" )
	R( "Mage_Proc_Clearcast", 12536, false, "SPELL_AURA_APPLIED", "SPELL_AURA_REFRESH" )
	R( "Mage_Proc_HotStreak", 48108, false, "SPELL_AURA_APPLIED", "SPELL_AURA_REFRESH" )
	R( "Mage_Proc_Firestarter", 54741, false,  "SPELL_AURA_APPLIED", "SPELL_AURA_REFRESH" )
elseif playerClass == "DRUID" then
	R( "Druid_Proc_Clearcast", 16870, false,  "SPELL_AURA_APPLIED", "SPELL_AURA_REFRESH" )
	R( "Druid_Proc_NaturesGrace", 16886, false,  "SPELL_AURA_APPLIED", "SPELL_AURA_REFRESH" )
	R( "Druid_Proc_Eclipse", { 48517, 48518 }, false,  "SPELL_AURA_APPLIED", "SPELL_AURA_REFRESH" )
end
